Update
curl --request PATCH \
--url https://{defaultHost}/v1/tax_overrides/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_override": {
"rate": 5
}
}
'import requests
url = "https://{defaultHost}/v1/tax_overrides/{id}"
payload = { "tax_override": { "rate": 5 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tax_override: {rate: 5}})
};
fetch('https://{defaultHost}/v1/tax_overrides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d89ab556-9413-4fda-979c-562bad082ef0",
"object": "tax_override",
"shipping": false,
"rate": 5,
"product_collection": "31dcfac6-e04d-4080-8c65-cdd143f6c3f6",
"tax_zone": "046155e7-12fe-4aed-bc51-bd43fe5bf24b",
"created_at": 1782485912,
"updated_at": 1782485912
}Tax Overrides
Update
Updates a specific tax override.
PATCH
/
v1
/
tax_overrides
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this tax override applies to shipping.
The tax rate to use for this tax override.
Expandable – The associated product collection ID.
Expandable – The associated tax zone ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I